I checked some posts and researched a little bit and apperently the x-fi driver isn't 100% compatible with the linux kernel 2.6.23 which comes with fedora 8. Im trying to upgrade to 2.6.24 by using the patch file. If anyone can help me out i'd appreciate it. When i use the patch command i keep getting this...

Directory of patch is inside the kernel directory which is /usr/src/kernels/
# patch -p1 < patch-2.6.24
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git a/.gitignore b/.gitignore
|index 27c3e83..8d14531 100644
|--- a/.gitignore
|+++ b/.gitignore
--------------------------
File to patch: